Skip to content

Check available pickup days from a given address

POST
/v1/check/pickupdays

Request Body required

object
address
required

Street name of the destination.

string
zip
required

Zip code of the destination.

string
city
required

City name of the destination.

string
country
required

Two letter country code of the destination of the package.

string
weight

The weight of the shipment in grams

integer
width

The width of the shipment in millimeters

integer
height

The height of the shipment in millimeters

integer
length

The length of the shipment in millimeters

integer
desiredNumberOfDays

The desired number of dates to check. Default is 5.

number

Responses

200

Early bird can perform pickup from the requested address on any of the returned dates

object
count

Number of available pickup days returned

number
pickupDays

Array of dates and pickup type

Array<object>
object
date

Available pickup date

date
pickUpType
string
Allowed values: home

404

No available pickup days was found for the requested address

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

500

An unexpected error occurred on the server

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

504

Gateway timeout

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable